org.apache.activemq.artemis.spi.core.protocol

## Class AbstractProtocolManagerFactory<P extends BaseInterceptor>

- java.lang.Object
- - org.apache.activemq.artemis.spi.core.protocol.AbstractProtocolManagerFactory<P>

- All Implemented Interfaces:
    ProtocolManagerFactory<P>

      public abstract class AbstractProtocolManagerFactory<P extends BaseInterceptor>
      extends Object
      implements ProtocolManagerFactory<P>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractProtocolManagerFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<P>` | `internalFilterInterceptors(Class<P> type, List<? extends BaseInterceptor> listIn)` This method exists because java templates won't store the type of P at runtime.
    `void` | `loadProtocolServices(org.apache.activemq.artemis.core.server.ActiveMQServer server, List<org.apache.activemq.artemis.core.server.ActiveMQComponent> services)`
    `protected void` | `stripPasswordParameters(Map<String,Object> parameters)` org.apache.commons.beanutils.BeanUtils will log all the parameters so we strip out any password parameters (e.g.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.activemq.artemis.spi.core.protocol.ProtocolManagerFactory

      `createProtocolManager, filterInterceptors, getModuleName, getPersister, getProtocols`

- - ### Constructor Detail

    - #### AbstractProtocolManagerFactory

          public AbstractProtocolManagerFactory()

  - ### Method Detail

    - #### internalFilterInterceptors

          protected List<P> internalFilterInterceptors(Class<P> type,
                                                       List<? extends BaseInterceptor> listIn)

      This method exists because java templates won't store the type of P at runtime. So it's not possible to write a generic method with having the Class Type. This will serve as a tool for sub classes to filter properly* * *
      Parameters:
        `type` -
        `listIn` -
      Returns:

    - #### stripPasswordParameters

          protected void stripPasswordParameters(Map<String,Object> parameters)

      org.apache.commons.beanutils.BeanUtils will log all the parameters so we strip out any password parameters (e.g. passwords for SSL keystore and truststore)
      Parameters:
        `parameters` -

    - #### loadProtocolServices

          public void loadProtocolServices(org.apache.activemq.artemis.core.server.ActiveMQServer server,
                                           List<org.apache.activemq.artemis.core.server.ActiveMQComponent> services)

      Specified by:
        `loadProtocolServices` in interface `ProtocolManagerFactory<P extends BaseInterceptor>`

Copyright © 2020 The Apache Software Foundation. All rights reserved.